$magic-radio-size: 16px !default;
$magic-checkbox-size: 16px !default;
$magic-dot-size: 10px !default;
$magic-border-color: $theme-light2 !default;
// $magic-main-color: $check-bg !default;
$magic-main-color: $theme-light2 !default;
$magic-disabled-color: $secondary !default;
$magic-disabled-checked-color: $secondary !default;


/* Checkbox */
.magic-checkbox+label {
  &:before {
    border-radius: 4px;
  }

  &:after {
    top: 2px;
    transform: rotate(45deg);
    left: 6px;
    box-sizing: border-box;
    width: 4px;
    height: 9px;
    border: 2px solid #fff;
    border-top: 0;
    border-left: 0;
  }
}

.magic-checkbox:checked+label {
  &:before {
    border: 1px solid $magic-main-color;
    background: $magic-main-color;
  }
}

.magic-checkbox:checked[disabled]+label {
  &:before {
    border: $magic-disabled-checked-color;
    background: $magic-disabled-checked-color;
  }
}

//magic-chekbox-round
.magic-checkbox-round+label {
  &:before {
    border-radius: 50%;
  }

  &:after {
    top: 4px;
    left: 7px;
    box-sizing: border-box;
    width: 6px;
    height: 11px;
    transform: rotate(45deg);
    border: 2px solid white;
    border-top: 0;
    border-left: 0;
  }
}

.magic-checkbox-round.magic-line+label {
  &:after {
    top: 1px;
    left: 6px;
    width: 11px;
    transform: initial;
    border-right: 0;
  }
}

.magic-checkbox-round:checked+label {
  &:before {
    border: 1px solid $magic-main-color;
    background: $magic-main-color;
  }
}

.magic-checkbox-round:checked[disabled]+label {
  &:before {
    border: $magic-disabled-checked-color;
    background: $magic-disabled-checked-color;
  }
}

/* Radio */
.magic-radio+label {
  &:before {
    border-radius: 50%;
  }

  &:after {
    top: 5px;
    left: 5px;
    width: $magic-dot-size;
    height: $magic-dot-size;
    border-radius: 50%;
    background: $magic-main-color;
  }
}

.magic-radio:checked+label {
  &:before {
    border: 1px solid $magic-main-color;
  }
}

.magic-radio:checked[disabled]+label {
  &:before {
    border: 1px solid $magic-disabled-checked-color;
  }

  &:after {
    background: $magic-disabled-checked-color;
  }
}

/* Common radio/checkbox */
@keyframes hover-color {
  from {
    border-color: $magic-border-color;
  }

  to {
    border-color: $magic-main-color;
  }
}

.magic-radio,
.magic-checkbox,
.magic-checkbox-round {
  position: absolute;
  display: none;
}

.magic-radio[disabled],
.magic-checkbox[disabled],
.magic-checkbox-round[disabled] {
  cursor: not-allowed;
}

.magic-radio+label,
.magic-checkbox+label {
  position: relative;
  display: block;
  padding-left: 24px;
  // min-height: 22px;
  display: inline-flex;
  align-items: center;
  text-transform: capitalize;
  cursor: pointer;
  transition: all 0.25s;
  // margin-bottom: 4px;
  // margin-top: 4px;
  line-height: 17px;
  font-size: 14px;
  color: $secondary;

  &:hover {
    &:before {
      animation-duration: 0.4s;
      animation-fill-mode: both;
      animation-name: hover-color;
    }
  }

  &:before {
    transition: all 0.25s;
    position: absolute;
    top: 0px;
    left: 0;
    display: inline-block;
    width: $magic-checkbox-size;
    height: $magic-checkbox-size;
    content: '';
    border: 1px solid #9fa2a6;
  }

  &:after {
    position: absolute;
    display: none;
    content: '';
  }
}

.magic-checkbox-round+label {
  position: relative;
  display: block;
  padding-left: 30px;
  min-height: 22px;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  transition: all 0.25s;

  &:hover {
    &:before {
      animation-duration: 0.4s;
      animation-fill-mode: both;
      animation-name: hover-color;
    }
  }

  &:before {
    transition: all 0.25s;
    position: absolute;
    top: 0px;
    left: 0;
    display: inline-block;
    width: 20px;
    height: 20px;
    content: '';
    border: 1px solid #9fa2a6;
  }

  &:after {
    position: absolute;
    display: none;
    content: '';
  }
}

.magic-radio[disabled]+label,
.magic-checkbox[disabled]+label,
.magic-checkbox-round[disabled]+label {
  cursor: not-allowed;
  color: $magic-disabled-color;
  transition: all 0.25s;

  &:hover,
  &:before,
  &:after {
    cursor: not-allowed;
  }

  &:hover {
    &:before {
      border: 1px solid $magic-disabled-color;
      animation-name: none;
    }
  }

  &:before {
    border-color: $magic-disabled-color;
  }
}

.magic-radio:checked+label,
.magic-checkbox:checked+label,
.magic-checkbox-round:checked+label {
  &:before {
    animation-name: none;
  }

  &:after {
    display: block;
  }
}